


#-----------------------------------------------------------------------------

def show_color_dialog():
    import sys,os
    import  wx
    color = None

    app = wx.App()
    dlg = wx.ColourDialog(None)

    # Ensure the full colour dialog is displayed,
    # not the abbreviated version.
    dlg.GetColourData().SetChooseFull(True)

    if dlg.ShowModal() == wx.ID_OK:

        # If the user selected OK, then the dialog's wx.ColourData will
        # contain valid information. Fetch the data ...
        data = dlg.GetColourData()

        # ... then do something with it. The actual colour data will be
        # returned as a three-tuple (r, g, b) in this particular case.
        color = data.GetColour().Get()

    # Once the dialog is destroyed, Mr. wx.ColourData is no longer your
    # friend. Don't use it again!
    dlg.Destroy()
    app.Destroy()
    return color

#---------------------------------------------------------------------------



